CVE-2019-16094

NameCVE-2019-16094
DescriptionSymonics libmysofa 0.7 has an invalid read in readOHDRHeaderMessageDataLayout in hdf/dataobject.c.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium (attack range: remote)
Debian Bugs939735

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
libmysofa (PTS)buster0.6~dfsg0-3vulnerable
bullseye, sid0.8~dfsg0-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
libmysofasource(unstable)0.8~dfsg0-1medium939735

Notes

[buster] - libmysofa <no-dsa> (Minor issue; can be fixed via point release)

Search for package or bug name: Reporting problems